Module javafx.base
Package javafx.util.converter

# Class PercentageStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter
javafx.util.converter.PercentageStringConverter

public class PercentageStringConverter extends NumberStringConverter

`StringConverter` implementation for `Number` values that represent percentages.

Since:
  JavaFX 2.1
See Also:
  - `CurrencyStringConverter`
  - `NumberStringConverter`
  - `StringConverter`

## Constructor Summary

Constructors
Constructor
Description
`PercentageStringConverter()`
`PercentageStringConverter(NumberFormat numberFormat)`
`PercentageStringConverter(Locale locale)`

## Method Summary

Modifier and Type
Method
Description
`NumberFormat`
`getNumberFormat()`
Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

### Methods inherited from class javafx.util.converter.NumberStringConverter

`fromString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PercentageStringConverter

public PercentageStringConverter()

### PercentageStringConverter

public PercentageStringConverter(Locale locale)

### PercentageStringConverter

public PercentageStringConverter(NumberFormat numberFormat)

## Method Details

### getNumberFormat

public NumberFormat getNumberFormat()

Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

Overrides:
  `getNumberFormat` in class `NumberStringConverter`
Returns:
  a `NumberFormat` instance for formatting and parsing in this `StringConverter`